ros-rolling-rmw-connextdds-common (1.2.0-1noble) noble; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Fri, 25 Apr 2025 05:00:00 -0000

ros-rolling-rmw-connextdds-common (1.1.0-1noble) noble; urgency=high

  * Address cpplit and gcc warnings. (#184 <https://github.com/ros2/rmw_connextdds/issues/184>)
  * Support topic instances (#178 <https://github.com/ros2/rmw_connextdds/issues/178>)
  * Switch buildtool to ament_cmake package (#183 <https://github.com/ros2/rmw_connextdds/issues/183>)
  * Discovery race condition mitigation (#174 <https://github.com/ros2/rmw_connextdds/issues/174>)
  * Contributors: Francisco Gallego Salido, Scott K Logan, Tomoya Fujita

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 18 Apr 2025 05:00:00 -0000

ros-rolling-rmw-connextdds-common (1.0.1-1noble) noble; urgency=high

  * Added rmw_event_type_is_supported (#173 <https://github.com/ros2/rmw_connextdds/issues/173>)
  * use rmw_enclave_options_xxx APIs instead. (#172 <https://github.com/ros2/rmw_connextdds/issues/172>)
  * fix security certificate error message format. (#171 <https://github.com/ros2/rmw_connextdds/issues/171>)
  * Contributors: Alejandro Hernández Cordero, Tomoya Fujita

 -- Andrea Sorbini <asorbini@rti.com>  Tue, 11 Mar 2025 05:00:00 -0000

ros-rolling-rmw-connextdds-common (1.0.0-1noble) noble; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Tue, 18 Feb 2025 06:00:00 -0000

ros-rolling-rmw-connextdds-common (0.25.1-1noble) noble; urgency=high

  * Use rmw_security_common (#167 <https://github.com/ros2/rmw_connextdds/issues/167>)
  * Use target_link_libraries instead of ament_target_dependencies (#169 <https://github.com/ros2/rmw_connextdds/issues/169>)
  * introduce RMW_EVENT_TYPE_MAX in rmw_event_type_t. (#162 <https://github.com/ros2/rmw_connextdds/issues/162>)
  * Contributors: Alejandro Hernández Cordero, Shane Loretz, Tomoya Fujita

 -- Andrea Sorbini <asorbini@rti.com>  Mon, 17 Feb 2025 06:00:00 -0000

ros-rolling-rmw-connextdds-common (0.25.0-1noble) noble; urgency=high

  * Instrument client/service for end-to-end request/response tracking (#163 <https://github.com/ros2/rmw_connextdds/issues/163>)
  * Contributors: Christophe Bedard

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 20 Dec 2024 06:00:00 -0000

ros-rolling-rmw-connextdds-common (0.24.2-1noble) noble; urgency=high

  * fix: "Failed to parse type hash" message was overly spammy (ros2-50) (#149 <https://github.com/ros2/rmw_connextdds/issues/149>)
  * Contributors: Taxo Rubio RTI

 -- Andrea Sorbini <asorbini@rti.com>  Thu, 03 Oct 2024 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.24.1-1noble) noble; urgency=high

  * remove rmw_localhost_only_t. (#156 <https://github.com/ros2/rmw_connextdds/issues/156>)
  * Contributors: Tomoya Fujita

 -- Andrea Sorbini <asorbini@rti.com>  Mon, 29 Jul 2024 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.24.0-1noble) noble; urgency=high

  * Make rmw_service_server_is_available return RMW_RET_INVALID_ARGUMENT (#150 <https://github.com/ros2/rmw_connextdds/issues/150>)
  * Use rmw_namespace_validation_result_string() in rmw_create_node (#151 <https://github.com/ros2/rmw_connextdds/issues/151>)
  * Make rmw_destroy_wait_set return RMW_RET_INVALID_ARGUMENT (#152 <https://github.com/ros2/rmw_connextdds/issues/152>)
  * Contributors: Christophe Bedard

 -- Andrea Sorbini <asorbini@rti.com>  Mon, 17 Jun 2024 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.23.0-1noble) noble; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Fri, 26 Apr 2024 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.22.0-1noble) noble; urgency=high

  * Revert "Mitigate discovery race condition between clients and services (#132 <https://github.com/ros2/rmw_connextdds/issues/132>)" (#146 <https://github.com/ros2/rmw_connextdds/issues/146>)
    This reverts commit 7c95abbfc4559b293ebf5e94e20250bdd99d3ac6.
  * Mitigate discovery race condition between clients and services (#132 <https://github.com/ros2/rmw_connextdds/issues/132>)
    * Mitigate discovery race condition between clients and services.
  * Add: tracepoint for subscribe serialized_message (#145 <https://github.com/ros2/rmw_connextdds/issues/145>)
    * Add: tracepoint for take_serialized_message
    * Fix: TRACETOOLS_TRACEPOINT args
    * Update rmw_connextdds_common/src/common/rmw_subscription.cpp
    Co-authored-by: Christophe Bedard <mailto:bedard.christophe@gmail.com>
  * Contributors: Andrea Sorbini, Chris Lalancette, h-suzuki-isp

 -- Andrea Sorbini <asorbini@rti.com>  Tue, 09 Apr 2024 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.21.0-1noble) noble; urgency=high

  * Support Fast CDR v2 (#141 <https://github.com/ros2/rmw_connextdds/issues/141>)
  * Contributors: Miguel Company

 -- Andrea Sorbini <asorbini@rti.com>  Thu, 28 Mar 2024 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.20.1-1noble) noble; urgency=high

  * Fix the rmw_connextdds_common build with gcc 13.2. (#142 <https://github.com/ros2/rmw_connextdds/issues/142>)
    The most important fix here is to #include <cstdint>,
    but also make sure we #include for all used STL functions.
  * Fix basic request reply mapping for ConnextDDS Pro (#139 <https://github.com/ros2/rmw_connextdds/issues/139>)
  * Contributors: Chris Lalancette, Christopher Wecht

 -- Andrea Sorbini <asorbini@rti.com>  Sat, 09 Mar 2024 06:00:00 -0000

ros-rolling-rmw-connextdds-common (0.20.0-1noble) noble; urgency=high

  * Add ros2_tracing tracepoints (#120 <https://github.com/ros2/rmw_connextdds/issues/120>)
  * Contributors: Christopher Wecht

 -- Andrea Sorbini <asorbini@rti.com>  Wed, 24 Jan 2024 06:00:00 -0000

ros-rolling-rmw-connextdds-common (0.19.0-1noble) noble; urgency=high

  * avoid using dds common public mutex directly (#134 <https://github.com/ros2/rmw_connextdds/issues/134>)
  * Fix a couple of warnings pointed out by clang. (#133 <https://github.com/ros2/rmw_connextdds/issues/133>)
  * Contributors: Chen Lihui, Chris Lalancette

 -- Andrea Sorbini <asorbini@rti.com>  Mon, 06 Nov 2023 06:00:00 -0000

ros-rolling-rmw-connextdds-common (0.18.0-1noble) noble; urgency=high

  * Add rmw count clients services impl (#93 <https://github.com/ros2/rmw_connextdds/issues/93>)
  * Conditional internal API access to support Connext 7+ (#121 <https://github.com/ros2/rmw_connextdds/issues/121>)
  * Cleanup context implementation (#131 <https://github.com/ros2/rmw_connextdds/issues/131>)
  * Contributors: Andrea Sorbini, Chris Lalancette, Minju, Lee

 -- Andrea Sorbini <asorbini@rti.com>  Wed, 04 Oct 2023 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.17.0-1noble) noble; urgency=high

  * Fix RMW_Connext_Client::is_service_available for micro (#130 <https://github.com/ros2/rmw_connextdds/issues/130>)
  * Update to C++17 (#125 <https://github.com/ros2/rmw_connextdds/issues/125>)
  * Pass parameters in the correct order to DDS_DataReader_read in rmw_connextdds_count_unread_samples for micro (#129 <https://github.com/ros2/rmw_connextdds/issues/129>)
  * Optimize QoS to improve responsiveness of reliable endpoints (#26 <https://github.com/ros2/rmw_connextdds/issues/26>)
  * Clear out errors once we have handled them. (#126 <https://github.com/ros2/rmw_connextdds/issues/126>)
  * Contributors: Andrea Sorbini, Chris Lalancette, Christopher Wecht

 -- Andrea Sorbini <asorbini@rti.com>  Mon, 21 Aug 2023 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.16.0-1noble) noble; urgency=high

  * Add support for listener callbacks (#76 <https://github.com/ros2/rmw_connextdds/issues/76>)
  * Contributors: Andrea Sorbini

 -- Andrea Sorbini <asorbini@rti.com>  Tue, 11 Jul 2023 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.15.1-1noble) noble; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Thu, 11 May 2023 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.15.0-1noble) noble; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Thu, 27 Apr 2023 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.14.0-1noble) noble; urgency=high

  * [rmw_connextdds] New RMW discovery options (#108 <https://github.com/ros2/rmw_connextdds/issues/108>)
  * Call get_type_hash_func (#113 <https://github.com/ros2/rmw_connextdds/issues/113>)
  * Type hash distribution during discovery (rep2011) (#104 <https://github.com/ros2/rmw_connextdds/issues/104>)
  * Implement matched event (#101 <https://github.com/ros2/rmw_connextdds/issues/101>)
  * Add in implementation of inconsistent topic. (#103 <https://github.com/ros2/rmw_connextdds/issues/103>)
  * Contributors: Barry Xu, Chris Lalancette, Emerson Knapp, Grey, Michael Carroll

 -- Andrea Sorbini <asorbini@rti.com>  Wed, 12 Apr 2023 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.13.0-1noble) noble; urgency=high

  * Add rmw_get_gid_for_client impl (#92 <https://github.com/ros2/rmw_connextdds/issues/92>)
  * Contributors: Brian

 -- Andrea Sorbini <asorbini@rti.com>  Wed, 02 Nov 2022 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.12.1-1noble) noble; urgency=high

  * Fix assert statement to allow the seconds field of a DDS_Duration_t to be zero (#88 <https://github.com/ros2/rmw_connextdds/issues/88>)
  * Contributors: Michael Jeronimo

 -- Andrea Sorbini <asorbini@rti.com>  Tue, 13 Sep 2022 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.12.0-1noble) noble; urgency=high

  * Handle 'best_available' QoS policies in common  (#85 <https://github.com/ros2/rmw_connextdds/issues/85>)
  * Contributors: Jose Luis Rivero

 -- Andrea Sorbini <asorbini@rti.com>  Tue, 03 May 2022 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.11.1-1noble) noble; urgency=high

  * Resolve build error with RTI Connext DDS 5.3.1 (#82 <https://github.com/ros2/rmw_connextdds/issues/82>)
  * Contributors: Andrea Sorbini

 -- Andrea Sorbini <asorbini@rti.com>  Tue, 26 Apr 2022 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.11.0-1noble) noble; urgency=high

  * Exclude missing sample info fields when building rmw_connextddsmicro (#79 <https://github.com/ros2/rmw_connextdds/issues/79>)
  * Properly initialize CDR stream before using it for filtering (#81 <https://github.com/ros2/rmw_connextdds/issues/81>)
  * Contributors: Andrea Sorbini

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 08 Apr 2022 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.10.0-1noble) noble; urgency=high

  * Add support for user-specified content filters (#68 <https://github.com/ros2/rmw_connextdds/issues/68>)
  * add stub for content filtered topic (#77 <https://github.com/ros2/rmw_connextdds/issues/77>)
  * Add sequence numbers to message info structure (#74 <https://github.com/ros2/rmw_connextdds/issues/74>)
  * Contributors: Andrea Sorbini, Chen Lihui, Ivan Santiago Paunovic

 -- Andrea Sorbini <asorbini@rti.com>  Mon, 28 Mar 2022 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.9.0-1noble) noble; urgency=high

  * Add rmw listener apis (#44 <https://github.com/rticommunity/rmw_connextdds/issues/44>)
  * Contributors: iRobot ROS

 -- Andrea Sorbini <asorbini@rti.com>  Tue, 01 Mar 2022 06:00:00 -0000

ros-rolling-rmw-connextdds-common (0.8.3-1noble) noble; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Thu, 10 Feb 2022 06:00:00 -0000

ros-rolling-rmw-connextdds-common (0.8.2-1noble) noble; urgency=high

  * Fix cpplint errors (#69 <https://github.com/ros2/rmw_connextdds/issues/69>)
  * Contributors: Jacob Perron

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 14 Jan 2022 06:00:00 -0000

ros-rolling-rmw-connextdds-common (0.8.1-1noble) noble; urgency=high

  * Add client/service QoS getters. (#67 <https://github.com/rticommunity/rmw_connextdds/issues/67>)
  * Contributors: mauropasse

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 19 Nov 2021 06:00:00 -0000

ros-rolling-rmw-connextdds-common (0.8.0-1noble) noble; urgency=high

  * Update rmw_context_impl_t definition (#65 <https://github.com/ros2/rmw_connextdds/issues/65>)
  * Use the new rmw_dds_common::get_security_files API (#61 <https://github.com/ros2/rmw_connextdds/issues/61>)
  * Contributors: Chris Lalancette, Michel Hidalgo

 -- Andrea Sorbini <asorbini@rti.com>  Wed, 15 Sep 2021 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.7.0-1noble) noble; urgency=high

  * Add rmw_publisher_wait_for_all_acked support. (#20 <https://github.com/rticommunity/rmw_connextdds/issues/20>)
  * Support extended signature for message_type_support_callbacks_t::max_serialized_size() from rosidl_typesupport_fastrtps_cpp. (#14 <https://github.com/rticommunity/rmw_connextdds/issues/14>)
  * Update includes after rcutils/get_env.h deprecation. (#55 <https://github.com/rticommunity/rmw_connextdds/issues/55>)
  * Always modify UserObjectQosPolicy regardless of override policy. (#53 <https://github.com/rticommunity/rmw_connextdds/issues/53>)
  * Improved conversion of time values between ROS and DDS formats. (#43 <https://github.com/rticommunity/rmw_connextdds/issues/43>)
  * Allow sharing DomainParticipant with C++ applications. (#25 <https://github.com/rticommunity/rmw_connextdds/issues/25>)
  * Add environment variable to control override of DomainParticipantQos. (#41 <https://github.com/rticommunity/rmw_connextdds/issues/41>)
  * Contributors: Andrea Sorbini, Barry Xu, Christophe Bedard, Miguel Company

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 04 Jun 2021 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.6.1-1noble) noble; urgency=high

  * Correctly detect empty messages (#33 <https://github.com/rticommunity/rmw_connextdds/issues/33>)
  * Contributors: Andrea Sorbini

 -- Andrea Sorbini <asorbini@rti.com>  Mon, 26 Apr 2021 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.6.0-1noble) noble; urgency=high

  * Use rmw_qos_profile_unknown when adding entity to graph (#28 <https://github.com/rticommunity/rmw_connextdds/issues/28>)
  * Resolve issues identified while investigating #21 <https://github.com/rticommunity/rmw_connextdds/issues/21> (#22 <https://github.com/rticommunity/rmw_connextdds/issues/22>)
  * Use Rolling in README's Quick Start
  * Improved implementation of client::is_service_available for Connext Pro
  * Only add request header to typecode with Basic req/rep profile
  * Remove commented/unused code
  * Avoid topic name validation in get_info functions
  * Reduce shutdown period to 10ms
  * Pass HistoryQosPolicy to graph cache
  * Reset error string after looking up type support
  * Remove DDS-based WaitSet implementation
  * Contributors: Andrea Sorbini, Ivan Santiago Paunovic

 -- Andrea Sorbini <asorbini@rti.com>  Sun, 11 Apr 2021 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.5.0-1noble) noble; urgency=high

  * Merge pull request #13 <https://github.com/rticommunity/rmw_connextdds/issues/13> from Ericsson/unique_network_flows
  * Remove superfluous header inclusion
  * Remove conflicting linkage
  * Further remove feature-based exclusion
  * Remove feature-based exclusion
  * Uncrustify
  * Refactor common API
  * Include required headers if feature is enabled
  * Add conditional compilation support
  * Prefer more generic file name
  * Restrict unique flow endpoint check to versions beyond Foxy
  * Indicate missing support for unique network flows
  * Update branch master to support Rolling only (#15 <https://github.com/rticommunity/rmw_connextdds/issues/15>)
  * Contributors: Ananya Muddukrishna, Andrea Sorbini, William Woodall

 -- Andrea Sorbini <asorbini@rti.com>  Tue, 06 Apr 2021 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.4.0-1noble) noble; urgency=high

  * Add ability to override of endpoint qos settings based on topic name (Pro).
  * Optimize QoS for reliable large data (Pro).
  * Only trigger data condition if samples were loaned from reader.
  * Alternative WaitSet implementation based on C++ std, selectable at
    compile-time.

 -- Andrea Sorbini <asorbini@rti.com>  Thu, 25 Mar 2021 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.3.1-1noble) noble; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Mon, 15 Mar 2021 05:00:00 -0000

ros-rolling-rmw-connextdds-common (0.3.0-1noble) noble; urgency=high

  * Add <buildtool_export_depend> for ament_cmake.
  * Use default dds.transport.UDPv4.builtin.ignore_loopback_interface.

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 12 Mar 2021 06:00:00 -0000

ros-rolling-rmw-connextdds-common (0.2.1-1noble) noble; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Thu, 11 Mar 2021 06:00:00 -0000

ros-rolling-rmw-connextdds-common (0.2.0-1noble) noble; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 06:00:00 -0000

ros-rolling-rmw-connextdds-common (0.1.1-1noble) noble; urgency=high

  * Don't log an error on WaitSet::wait() timeout.

 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 06:00:00 -0000

ros-rolling-rmw-connextdds-common (0.1.0-1noble) noble; urgency=high

  * Initial release.

 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 06:00:00 -0000


